Bug 830202 - Seam: TAG-16 Groovybooking example
Seam: TAG-16 Groovybooking example
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples, Seam (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
low Severity low
: ---
: 2.0.0.GA
Assigned To: Marek Novotny
Karel Piwko
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 10:24 EDT by Karel Piwko
Modified: 2012-06-22 04:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
BZ-830202 and BZ-830214 The Groovybooking example in Seam 2.3 requires an additonal Maven plugin for integration with JBoss Developer Studio, which is not installed by default. This leads to plugin errors, which can be worked around by following the import wizard instructions to install build-helper-maven-plugin and gmaven-plugin. The example will run regardless of these errors, however.
Story Points: ---
Clone Of:
: 869638 (view as bug list)
Environment:
BZ-830202 and BZ-830214 The Groovybooking example in Seam 2.3 requires an additonal Maven plugin for integration with JBoss Developer Studio, which is not installed by default. This leads to plugin errors, which can be worked around by following the import wizard instructions to install build-helper-maven-plugin and gmaven-plugin. The example will run regardless of these errors, however.
Last Closed: 2012-06-19 04:18:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Piwko 2012-06-08 10:24:40 EDT
Following errors happen in groovybooking example when imported to JBDS (ignoring missing Maven artifacts):


Description	Resource	Path	Location	Type
Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:build-helper-maven-plugin:1.5-redhat-1:add-test-source (execution: add-test-source, phase: generate-test-sources)	pom.xml	/groovybooking-tests	line 84	Maven Project Build Lifecycle Mapping Problem
Plugin execution not covered by lifecycle configuration: org.codehaus.mojo:build-helper-maven-plugin:1.5-redhat-1:add-source (execution: add-source, phase: generate-sources)	pom.xml	/groovybooking-web	line 200	Maven Project Build Lifecycle Mapping Problem
Plugin execution not covered by lifecycle configuration: org.codehaus.gmaven:gmaven-plugin:1.4:testCompile (execution: default, phase: test-compile)	pom.xml	/groovybooking-web	line 133	Maven Project Build Lifecycle Mapping Problem
Plugin execution not covered by lifecycle configuration: org.codehaus.gmaven:gmaven-plugin:1.4:generateTestStubs (execution: default, phase: generate-test-sources)	pom.xml	/groovybooking-web	line 133	Maven Project Build Lifecycle Mapping Problem
Plugin execution not covered by lifecycle configuration: org.codehaus.gmaven:gmaven-plugin:1.4:generateStubs (execution: default, phase: generate-sources)	pom.xml	/groovybooking-web	line 133	Maven Project Build Lifecycle Mapping Problem
Plugin execution not covered by lifecycle configuration: org.codehaus.gmaven:gmaven-plugin:1.4:compile (execution: default, phase: compile)	pom.xml	/groovybooking-web	line 133	Maven Project Build Lifecycle Mapping Problem
Comment 1 Marek Novotny 2012-06-15 05:45:23 EDT
These errors are related to M2e plugin in Eclipse/JBDS and they are not really important. It says only that M2e plugin doesn't know how to handle some maven plugins used in example's pom.xml file.

More information at http://wiki.eclipse.org/M2E_plugin_execution_not_covered

As summary - you have got two options:
1. download/install plugin for haddling the affected maven plugin lifecycle
see section "m2e maven plugin coverage status"  on referenced above wiki page URL
2. Ignore it by adding of plugin configuration for org.eclipse.m2e:lifecycle-mapping:1.0.0

I don't like any from these 2 solutions and even it shows error it is build-able.
I am not considering this as a bug, just a technical note could be added for this particular case.
Comment 5 Rebecca Newton 2012-06-18 01:47:45 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
BZ-830202 and BZ-830214 The Groovybooking example in Seam 2.3 requires an additonal Maven plugin for integration with JBoss Developer Studio, which is not installed by default. This leads to plugin errors, which can be worked around by following the import wizard instructions to install build-helper-maven-plugin and gmaven-plugin. The example will run regardless of these errors, however.

Note You need to log in before you can comment on or make changes to this bug.